Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl3/themebackgrounds.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
themebackgrounds.c File Reference
`#include "registry.h"`
`#include "mem.h"`
`#include "graphics.h"`
`#include "themespec.h"`
`#include "themebackgrounds.h"`

Go to the source code of this file.

## Data Structures

struct | theme_background_system

## Functions

struct theme_background_system * | theme_background_system_read (struct section_file *file)
void | theme_background_system_free (struct theme_background_system *backgrounds)
SDL_Surface * | theme_get_background (const struct theme *t, enum theme_background background)

## Variables

static char * | background_names []

## Function Documentation

## ◆ theme_background_system_free()

void theme_background_system_free | ( | struct theme_background_system * | backgrounds | ) |

Called when the client first starts to free any allocated backgrounds.

Definition at line 80 of file themebackgrounds.c.

## ◆ theme_background_system_read()

struct theme_background_system * theme_background_system_read | ( | struct section_file * | file | ) |

Read theme background system from a file.

Definition at line 61 of file themebackgrounds.c.

## ◆ theme_get_background()

SDL_Surface * theme_get_background | ( | const struct theme * | t,
|  | enum theme_background | background
| ) |  |

Return a pointer to the given theme background.

Definition at line 94 of file themebackgrounds.c.

## Variable Documentation

## ◆ background_names

char* background_names[]

static

Initial value:
= {
"changeresearchdlg",
"choosegovernmentdlg",
"citydlg",
"citygovdlg",
"cityrep",
"connectdlg",
"connlistdlg",
"economydlg",
"hlpdlg",
"joingamedlg",
"loadgamedlg",
"mainpage",
"messagewin",
"nationdlg",
"newcitydlg",
"optiondlg",
"revolutiondlg",
"sciencedlg",
"spystealdlg",
"startmenu",
"unitsrep",
"userpasswddlg",
"wldlg",
}

Definition at line 32 of file themebackgrounds.c.